Subject: Re: bug#62333: 30.0.50; Issue with tree-sitter syntax tree during certain changes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Mar 2023 19:24:22 +0300

> From: Dmitry Gutov <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>,
> 	"[email-masked]" <[email-masked]>,
> 	"[email-masked]" <[email-masked]>
> Date: Sat, 25 Mar 2023 19:03:45 +0300
> 
>   But if the mmm framework narrowed the region to the current mode's 
>   block, widening will force tree-sitter to parse the whole buffer.
> 
>  No, because such a mode mode should already make sure this doesn't
>  happen.
> 
> How?

The same way it makes sure a given parser is used only on the portion
of the buffer where the corresponding language is used.

>   But I'd also like to consider the other cases where we *don't* want to 
>   widen first. Any of them come to mind?
> 
>  No, not off the top of my head.
> 
>  I think we should try this in this one case, and see if other cases
>  come up.
> 
> I think we should try to answer the relevant questions first.

If we can, sure.